#pragma once
#include "Entity.h"
#include "MenuTextKeyboard.h"
#define MENUTEXTSK2_PLAYER1KEYBOARD_CREATENAME L"menutext_player1keyboard_sk2"
class MenuTextSk2_Player1Keyboard :
    public MenuTextKeyboard
{
public:
    InputSetting_Keyboard* GetInputSetting() override;
    SDL_Scancode* GetBind(InputSetting_Keyboard* setting) override;
};

std::shared_ptr<Entity> CreateMenuTextSk2_Player1Keyboard();